Subject: Re: [PATCH v4 0/4] for-each-ref: introduce seeking functionality via '--start-after'

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Jul 2025 09:49:16 -0700

Christian Couder <[email-masked]> writes:

> On Fri, Jul 11, 2025 at 6:20 PM Karthik Nayak <[email-masked]> wrote:
>
>> Initially I was also planning to cleanup all the `refs_for_each...()`
>> functions in 'refs.h' by simply using the iterator, but this bloated the
>> series. So I've left that for another day.
>
> I wonder if there is a plan to add the '--start-after' option to `git
> branch` and `git tag` too?

Good question.

"git for-each-ref" is for scripters, "git branch/tag" are for
humans.  And humans do not page (outside "more/less").

So while it may be trivial to expose the feature to these Porcelain
commands, it is not obvious that it is a good idea worth cluttering
"git tag -h" output.